跳转到主要内容
POST
/
v1
/
responses
创建响应
curl --request POST \
  --url https://www.anyfast.ai/v1/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seed-1-6-251015",
  "input": [
    {
      "role": "user",
      "content": [
        {
          "type": "input_image",
          "image_url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
        },
        {
          "type": "input_text",
          "text": "图片里有什么?"
        }
      ]
    }
  ],
  "stream": false,
  "temperature": 1,
  "top_p": 0.5,
  "max_output_tokens": 2,
  "reasoning": {}
}
'
import requests

url = "https://www.anyfast.ai/v1/responses"

payload = {
"model": "doubao-seed-1-6-251015",
"input": [
{
"role": "user",
"content": [
{
"type": "input_image",
"image_url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
},
{
"type": "input_text",
"text": "图片里有什么?"
}
]
}
],
"stream": False,
"temperature": 1,
"top_p": 0.5,
"max_output_tokens": 2,
"reasoning": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seed-1-6-251015',
input: [
{
role: 'user',
content: [
{
type: 'input_image',
image_url: 'https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png'
},
{type: 'input_text', text: '图片里有什么?'}
]
}
],
stream: false,
temperature: 1,
top_p: 0.5,
max_output_tokens: 2,
reasoning: {}
})
};

fetch('https://www.anyfast.ai/v1/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "resp_021774236829912",
  "object": "response",
  "created_at": 123,
  "completed_at": 123,
  "model": "doubao-seed-1-6-251015",
  "status": "completed",
  "output": [
    {
      "type": "message",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "图片里有3个模型:Doubao-Seed-1.8、DeepSeek-V3.2、GLM-4.7。"
        }
      ]
    }
  ],
  "usage": {
    "input_tokens": 1355,
    "output_tokens": 87,
    "total_tokens": 1442,
    "output_tokens_details": {
      "reasoning_tokens": 53
    }
  }
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
model
enum<string>
必填

使用的模型。

可用选项:
doubao-seed-2.0-pro,
doubao-seed-2.0-code,
doubao-seed-2.0-lite,
doubao-seed-2.0-mini,
doubao-seed-1-8-251228,
doubao-seed-1-6-flash-250828,
doubao-seed-1-6-251015,
doubao-seed-1-6-lite-251015,
doubao-seed-1-6-vision-250815,
glm-4.7
示例:

"doubao-seed-1-6-251015"

input
object[]
必填

输入消息,每项包含 rolecontent。简单文本也可直接传字符串。

content 数组项类型:

  • input_text{"type": "input_text", "text": "..."}
  • input_image{"type": "input_image", "image_url": "https://..."}
  • input_video{"type": "input_video", "video_url": "https://...", "fps": 1}
  • input_file{"type": "input_file", "file_url": "https://..."}
示例:
[
{
"role": "user",
"content": [
{
"type": "input_image",
"image_url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
},
{ "type": "input_text", "text": "图片里有什么?" }
]
}
]
stream
boolean
默认值:false

是否通过 SSE 流式返回。

temperature
number
默认值:1

采样温度。

必填范围: 0 <= x <= 2
top_p
number

核采样参数。

必填范围: 0 <= x <= 1
max_output_tokens
integer

最大输出 token 数。

必填范围: x >= 1
reasoning
object

推理配置。示例:{"effort": "high"}

响应

响应创建成功

id
string
示例:

"resp_021774236829912"

object
string
示例:

"response"

created_at
integer
completed_at
integer
model
string
示例:

"doubao-seed-1-6-251015"

status
enum<string>
可用选项:
completed,
failed,
in_progress,
incomplete
示例:

"completed"

output
object[]
usage
object